import { z } from "zod";

export const AmqArtistSchema = z.object({
	songArtistId: z.int().positive(),
	name: z.string(),
	inGroups: z.array(z.int().positive()),
	altNames: z.array(
		z.object({
			songArtistId: z.int().positive(),
			name: z.string(),
		}),
	),
});
